<?php
include('auth.php');
is_admin($helpdesk_level);
$err = "";
if(isset($_POST['submit'])){
	$fname = mysqli_real_escape_string($db,$_POST['fname']);
	$lname = mysqli_real_escape_string($db,$_POST['lname']);
	$access_level = mysqli_real_escape_string($db,$_POST['access_level']);
	$u_name = mysqli_real_escape_string($db,$_POST['u_name']);
	$user_password = makepwd( mysqli_real_escape_string($db,$_POST['user_password']) );

	if(strlen($u_name) > 0 && strlen($user_password) > 0){
		mysqli_query($db,"INSERT into users(fname,lname,access_level,user_name,user_password)values('$fname','$lname','$access_level','$u_name', '$user_password');");
		header('Location: users.php');
		exit();
}else{
	$err = "Username and password are required.";
}
}else{
// do nothing but load the page
}
?>
<!DOCTYPE html>
<html>
<head>
<title>Add User - <?php echo title;?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo css;?>" type="text/css">
</head>

<?php include('body.php');?>
<h3>Adding User</h3>

<?php if(strlen($err) > 0){ ?>
	<p><?php echo $err;?></p>
<?php } ?>

<form method="post" action="add_user.php">
<table class="table table-striped table-bordered" style="width: auto;">
<tr>
	<td>First Name:&nbsp;</td><td><input type="text" name="fname"></td>
</tr>
<tr>
	<td>Last Name:&nbsp;</td><td><input type="text" name="lname"></td>
</tr>
<tr>
	<td>Access Level:&nbsp;</td>
	<td>
	<select name="access_level">
		<option value="User">User</option>
		<option value="Administrator">Administrator</option>
	</select>
	</td>
</tr>
<tr>
	<td>Username:&nbsp;</td><td><input type="text" name="u_name"></td>
</tr>
<tr>
	<td>Password:&nbsp;</td><td><input type="text" name="user_password"></td>
</tr>
<tr>
	<td colspan="2"><input type="submit" name="submit" value="Add" class="btn btn-success btn-lg"></td>
</tr>
</table>
</form>
<?php include('footer.php');
