<?php
include('auth.php');
$status_id = "";

if( isset($_GET['status_id']) ) {
	$status_id = mysqli_real_escape_string($db,$_GET['status_id']);
}

if(strlen($status_id) > 0){
	$results = mysqli_query($db,"select * from calls where status_id = $status_id order by call_date desc,call_id desc;");
}else{
	$results = mysqli_query($db,"select * from calls order by call_date desc,call_id desc;");
}
?>
<!DOCTYPE html>
<html>
<head>
<title>Calls - <?php echo title;?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo css;?>" type="text/css">

</head>

<?php include('body.php');?>
<h3>Calls</h3>
<h3><a href='add_call.php' class="btn btn-primary">Add Call</a></h3>
View:&nbsp;
<?php if(strlen($status_id) > 0){ ?>
<a href="calls.php">All</a>&nbsp;
<?php }else{ ?>
<a href="calls.php"><strong>All</strong></a>&nbsp;
<?php } ?>
<?php 
$stat_results = mysqli_query($db,"select * from call_status order by status_id");
if($stat_row = mysqli_fetch_array($stat_results)){
	do{
		if($stat_row['status_id'] == $status_id){
?>
		<a href="calls.php?status_id=<?php echo $stat_row['status_id'];?>" style="background-color:yellow;"><strong><?php echo $stat_row['status_desc'];?></strong></a>&nbsp;
<?php
		}else{
?>
		<a href="calls.php?status_id=<?php echo $stat_row['status_id'];?>"><?php echo $stat_row['status_desc'];?></a>&nbsp;
<?php
		}
	}while($stat_row = mysqli_fetch_array($stat_results));
}
?>
<br>
<table class="table table-striped table-bordered" style="width: auto;">
<tr>
	<th>Date</th>
	<th>Name</th>
	<th>Status</th>
	<th>Phone</th>
	<th>Department</th>
	<th>Issue</th>
	<th style="text-align: center;">Action</th>
</tr>
<?php
if($row = mysqli_fetch_array($results)){
	do{
		$call_date = $row['call_date'];
		$department_id = $row['department_id'];
		$issue_id = $row['issue_id'];
		$status_id = $row['status_id'];
		$drow = mysqli_fetch_array(mysqli_query($db,"select department_desc from departments where department_id = $department_id"));
		$irow = mysqli_fetch_array(mysqli_query($db,"select issue_desc from issue_types where issue_id = $issue_id"));
		$srow = mysqli_fetch_array(mysqli_query($db,"select status_desc from call_status where status_id = $status_id"));
?>
<tr>
	<td><?php echo date('m/d/y', strtotime($call_date));?></td>
	<td><?php echo $row['name'];?></td>
	<td><?php echo $srow['status_desc'];?></td>
	<td><?php echo $row['phone'];?></td>
	<td><?php echo $drow['department_desc'];?></td>
	<td><?php echo $irow['issue_desc'];?></td>
	<td>
	<a href='edit_call.php?call_id=<?php echo $row['call_id'];?>' class='btn btn-success'>Edit</a>&nbsp;
	<?php if($helpdesk_level == 'Administrator'){ ?>
	<a href='delete_call.php?call_id=<?php echo $row['call_id'];?>' class='btn btn-danger'>Delete</a>
	<?php } ?>
	</td>
</tr>
<?php
		}while($row = mysqli_fetch_array($results));
	}else{
?>
<tr>
	<td colspan="7" style="text-align: center;">Nothing Found</td>
</tr>
<?php
	}
?>
</table>
<?php include('footer.php');
