<?php
include('auth.php');
is_admin($helpdesk_level);
$err = "";
if(isset($_POST['submit'])){
	$user_id = mysqli_real_escape_string($db,$_POST['user_id']);
	$fname = mysqli_real_escape_string($db,$_POST['fname']);
	$lname = mysqli_real_escape_string($db,$_POST['lname']);
	$access_level = mysqli_real_escape_string($db,$_POST['access_level']);
	$u_name = mysqli_real_escape_string($db,$_POST['u_name']);
	$user_password = mysqli_real_escape_string($db,$_POST['user_password']);

	$updatepass = "";
	if (strlen($user_password) > 2) {
		$user_password = makepwd($user_password);
		$updatepass = ", user_password = '$user_password'";
	}

	if(strlen($u_name) > 0){
		mysqli_query($db,"UPDATE users set fname = '$fname', lname = '$lname', access_level = '$access_level', user_name = '$u_name' $updatepass WHERE user_id = $user_id;");
		header('Location: users.php');
		exit();
	}else{
		$err = "<p>Username and password are required.</p>";
	}
}else{
	$user_id = mysqli_real_escape_string($db,$_GET['user_id']);
	$result = mysqli_query($db,"select * from users where user_id = $user_id;");
	$row = mysqli_fetch_array($result);
}
?>
<!DOCTYPE html>
<html>
<head>
<title>Edit User - <?php echo title;?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo css;?>" type="text/css">
</head>

<?php include('body.php');?>
<h2>Editing User</h2>

<?php if(strlen($err) > 0){
	echo $err;
} ?>

<form method="post" action="edit_user.php">
<table class="table table-striped table-bordered" style="width: auto;">
	<tr>
		<td>First Name:&nbsp;</td><td><input type="text" name="fname" size="30" value="<?php echo $row['fname'];?>"></td>
	</tr>
	<tr>
		<td>Last Name:&nbsp;</td><td><input type="text" name="lname" size="30" value="<?php echo $row['lname'];?>"></td>
	</tr>
	<tr>
		<td>Access Level:&nbsp;</td>
		<td>
		<select name="access_level">
			<option value="<?php echo $row['access_level'];?>" selected><?php echo $row['access_level'];?></option>
			<option value="Administrator">Administrator</option>
			<option value="User">User</option>
		</select>
		</td>
	</tr>
	<tr>
		<td>Username:&nbsp;</td><td><input type="text" name="u_name" size="30" value="<?php echo $row['user_name'];?>"></td>
	</tr>
	<tr>
		<td>Password:&nbsp;</td><td><input type="text" name="user_password" size="30" value=""></td>
	</tr>
	<tr>
		<td colspan="2"><input type="submit" name="submit" value="Update" class="btn btn-success btn-lg"></td>
	</tr>
</table>
<input type="hidden" name="user_id" value="<?php echo $user_id;?>">
</form>
<?php include('footer.php');
